import request from '@/utils/request'

// 查询环保监管-重点排污列表
export function listPolluters(query) {
    return request({
        url: '/crmKeyPolluters/findByPage',
        method: 'get',
        params: query
    })
}

// 查询环保监管-重点排污详细
export function getPolluters(id) {
    return request({
        url: '/crmKeyPolluters/' + id,
        method: 'get'
    })
}

// 新增环保监管-重点排污
export function addPolluters(data) {
    return request({
        url: '/crmKeyPolluters',
        method: 'post',
        data: data
    })
}

// 修改环保监管-重点排污
export function updatePolluters(data) {
    return request({
        url: '/crmKeyPolluters',
        method: 'put',
        data: data
    })
}

// 删除环保监管-重点排污
export function delPolluters(id) {
    return request({
        url: '/crmKeyPolluters/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPollutersBatch(ids) {
    console.log(ids);
    return request.post('/crmKeyPolluters/delete',ids)
}